-- Nom du fichier    : Arbre_Utile_G.ads
-- Auteur(s)         : HRR
-- Date de creation     : 92
-- But               : Specification du paquetage d'utilitaire
--                : pour l'implantation des parcours d'un arbre binaire
-- Date de modification : 1993/AGD
-- Motif          : Mise en forme et tests
-- Date de modification : 1998/P.Farina
-- Motif          : Adaptation Ada95
-- Remarques         : Corps  : Arbre_Utile_G.adb
--                : Test   : Arbre_Utile_T.ada

generic

    with procedure Traiter(Element: T_Element);
    -- applique un traitement à chaque élément

package Arbre_G.Utile is

procedure Parcours_Symetrique(Arbre: T_Arbre) ;
-- Parcours symetrique: Sous-arbre gauche, racine, sous-arbre droit

procedure Parcours_Preordonne(Arbre: T_Arbre) ;
-- Parcours preordonne: Racine, sous-arbre gauche, sous-arbre droit

procedure Parcours_Postordonne(Arbre: T_Arbre) ;
-- Parcours postordonne: Sous-arbre gauche, sous-arbre droit, racine

end Arbre_G.Utile;
